/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of Simonstrator.KOM.
 * 
 * Simonstrator.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


package de.tudarmstadt.maki.simonstrator.api.component.sensor.environment.data.measurement;

import java.util.HashMap;
import java.util.Map;

import de.tudarmstadt.maki.simonstrator.api.component.sensor.environment.data.ProbabilityDistribution;

/**
 * @author Tobias Meuser (tobias.meuser@kom.tu-darmstadt.de)
 * @version 1.0 at 26.04.2018
 *
 */
public class MeasurementDistributionTypeContainer {
	private static Map<Class<?>, ProbabilityDistribution> _knownDistributions = new HashMap<>();

	public static void setDistribution(Class<?> pClass, ProbabilityDistribution pDistribution) {
		_knownDistributions.put(pClass, pDistribution);
	}

	public static ProbabilityDistribution getDistribution(Class<?> pClass) {
		return _knownDistributions.get(pClass);
	}
}
