package de.tudarmstadt.maki.simonstrator.api.component.vehicular.api.information;

import java.util.HashMap;
import java.util.Map;

import de.tudarmstadt.maki.simonstrator.api.component.sensor.location.Location;

public class LocationUtils {
    private static boolean _saveID = false;
    private static Map<String, Long> _ids = new HashMap<>();
    private static long _currentID = 0;

    public static long calculateID(String pID) {
        long numericalID = -1;
        if (!_saveID) {
            try {
                String[] split = pID.split("_");
                for (int i = 0; i < split.length; i++) {
                    numericalID *= 100000;
                    numericalID += Integer.valueOf(split[i]);
                }
            } catch (NumberFormatException e) {
                _saveID = true;
            }
        }
        if (_saveID) {
            synchronized (_ids) {
                if (!_ids.containsKey(pID)) {
                    _ids.put(pID, _currentID++);
                }
                numericalID = _ids.get(pID);
            }
        }
        return numericalID;
    }

	public static double calculateDistance(Location start, Location end) {
		return Math.sqrt(Math.pow(end.getLatitudeOrY() - start.getLatitudeOrY(), 2)
				+ Math.pow(end.getLongitudeOrX() - start.getLongitudeOrX(), 2)) / 1000.0;
    }
}
