package de.tudarmstadt.maki.simonstrator.api.util.nodeselections;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Random;

import de.tudarmstadt.maki.simonstrator.api.Randoms;
import de.tudarmstadt.maki.simonstrator.api.common.graph.INodeID;

/**
 * Selects random node ID's on every call.
 * 
 * @author ConstiZ
 *
 */
public final class FullyRandomNodeSelection extends AbstractNodeSelection {

	private Random rnd = Randoms.getRandom(FullyRandomNodeSelection.class);

	@Override
	public List<INodeID> selectNodes(int nodeCount, List<INodeID> allNodeIDs) throws IllegalSelectionException {
		validateSelection(nodeCount, allNodeIDs);

		List<INodeID> selection = new ArrayList<INodeID>(allNodeIDs);
		Collections.shuffle(selection, rnd);
		selection.subList(nodeCount, allNodeIDs.size()).clear();
		return selection;
	}
}
